Name:          netcdf
Version:       4.9.3
Release:       1mamba
Summary:       Network Common Data Form interface for array-oriented data access and corresponding library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.unidata.ucar.edu/software/netcdf/
Source:        https://downloads.unidata.ucar.edu/netcdf-c/%{version}/netcdf-c-%{version}.tar.gz
License:       Custom
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libblosc-devel
BuildRequires: libbzip2-devel
BuildRequires: libcurl-devel
BuildRequires: libhdf5-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: libzip-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Network Common Data Form interface for array-oriented data access and corresponding library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.



%prep
%setup -q -n netcdf-c-%{version}

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/nc-config
%{_bindir}/nccopy
%{_bindir}/ncdump
%{_bindir}/ncgen
%{_bindir}/ncgen3
%{_mandir}/man1/nccopy.1*
%{_mandir}/man1/ncdump.1*
%{_mandir}/man1/ncgen.1*
%{_mandir}/man1/ncgen3.1*
%{_mandir}/man3/netcdf.3*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libnetcdf.so.*
%doc COPYRIGHT

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/netcdf*.h
%dir %{_libdir}/cmake/netCDF
%{_libdir}/cmake/netCDF/netCDF*.cmake
%{_libdir}/libnetcdf.settings
%{_libdir}/libnetcdf.so
%{_libdir}/pkgconfig/netcdf.pc
%doc README.md


%changelog
* Sun Feb 09 2025 Automatic Build System <autodist@openmamba.org> 4.9.3-1mamba
- automatic version update by autodist

* Mon May 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.2-1mamba
- package created using the webbuild interface
